Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface CompileSpec

    org.gradle.api.Named
      org.gradle.plugins.binaries.model.CompileSpec

All Superinterfaces:
  Named

    public interface CompileSpec
    extends Named

A high level interface to the compiler, specifying what is to be compiled and how.

Method Summary
`void` | `compile()` Do the compile.
`File` | `getOutputFile()` The ultimate output of the compilation.

Methods inherited from interface Named
getName

Method Detail

### compile

    @Deprecated
    public void compile()

  Do the compile.
  deprecated:
    No replacement

### getOutputFile

    public File getOutputFile()

  The ultimate output of the compilation.

Gradle API 1.1-rc-1